<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fillViewport="true"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/layoutMainContent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:animateLayoutChanges="true"
        android:orientation="vertical">

            <TextView
                android:id="@+id/lbl_reportwf_4_question"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_margin="20dp"
                android:text="@string/lbl_question_weapon"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textColor="@color/bg_common" />

            <Spinner
                android:id="@+id/dd_reportwf_4_weapon"
                android:background="@drawable/dropdown_4"
                android:layout_width="300dp"
                android:layout_height="52dp"
                android:layout_margin="5dp"
                android:spinnerMode="dialog"
                android:prompt="@string/lbl_spinner_choose"
                android:layout_gravity="center_horizontal" />

            <EditText
                android:layout_width="300dp"
                android:layout_height="wrap_content"
                android:maxLength="50"
                android:hint="@string/cat_hint"
                android:id="@+id/txt_reportwf_4_weapon_etc"
                android:layout_gravity="center_horizontal" />
        </LinearLayout>

</ScrollView>
